#define NAME_LEN (15+1)

enum kategorieEnum {SCHREIBWAREN, DROGERIE, SONSTIGE};

typedef struct artikelTyp
{
	unsigned int nr; /* Eindeutige Artikelnummer*/
	enum kategorieEnum kategorie; /* Kategorie des Artikels */
	unsigned int anz; /* Anzahl auf Lager */
	double preis; /* Preis pro Stueck */
	char name [NAME_LEN]; /* Name des Artikels */
} artikelTyp;

void artikel_print (FILE * f, const artikelTyp * const art)
{
	fprintf (f, "%d\n", art->nr);
	fprintf (f, "%d\n", art->kategorie);
	fprintf (f, "%d\n", art->anz);
	fprintf (f, "%f\n", art->preis);
	fprintf (f, "%s\n", art->name);
}

void artikel_printArray (FILE * f, artikelTyp arts[],
						 const unsigned int num)
{
	unsigned int i;
	for (i = 0; i < num; i++)
	{
		artikel_print (f, &arts[i]);
	}
}

int main (void)
{
	artikelTyp a[] = {{SCHREIBWAREN, 2, 100.,
		"Cascardi Fueller"},
	{DROGERIE, 200, 10., "LaBelle Seife"},
	{DROGERIE, 100, 3., "R-Tips"},
	{SONSTIGE, 400, 1., "Cq Banane"}
	};
	artikel_printArray (stdout, a, 3);
	return 0;
}

void artikel_printKategorienLagerWerte (
										FILE * f, /* Dateideskriptor, auf dem */
										/* ausgegeben wird */
										artikelTyp arts[], /* Array mit Artikeln */
										const unsigned int num
										/* Anzahl der Artikel in arts */
);